<!DOCTYPE html>
<html>

<head>
  <!-- Basic -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <!-- Mobile Metas -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <!-- Site Metas -->
  <link rel="icon" href="images/favicon.png" type="image/gif" />
  <meta name="keywords" content="" />
  <meta name="description" content="" />
  <meta name="author" content="" />

  <title>My class Online</title>



  <!-- bootstrap core css -->
  <link rel="stylesheet" type="text/css" href="/css/bootstrap.css" />

  <!-- fonts style -->
  <link href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap" rel="stylesheet" />

  <!-- font awesome style -->
  <link href="/css/font-awesome.min.css" rel="stylesheet" />
  <!-- owl carousel -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" integrity="sha256-UhQQ4fxEeABh4JrcmAJ1+16id/1dnlOEVCFOxDef9Lw=" crossorigin="anonymous" />
  <!-- Custom styles for this template -->
  <link href="/css/style.css" rel="stylesheet" />
  <!-- responsive style -->
  <link href="/css/responsive.css" rel="stylesheet" />
  <script src="https://unpkg.com/vue@3"></script>

</head>

<body class="sub_page">

  <div class="hero_area">
    <!-- header section strats -->
    <header class="header_section ">
      <div class="container-fluid">
        <nav class="navbar navbar-expand-lg custom_nav-container ">
          <a class="navbar-brand" th:href="@{/}">
            <span>
            </span>
          </a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class=""> </span>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <div class="d-flex mx-auto flex-column flex-lg-row align-items-center">
              <ul class="navbar-nav  ">
                <li class="nav-item ">
                  <a class="nav-link" th:href="@{/}">Home </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" th:href="@{/about}"> About</a>
                </li>
                <li class="nav-item active">
                  <a class="nav-link" th:href="@{/course}">Courses <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" th:href="@{/teacher}">Teachers</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" th:href="@{/contact}">Contact Us</a>
                </li>
                <!-- sec:authorize="hasRole('ADMIN')" -->
                <!-- sec:authorize="hasRole('USER')" -->
                <!-- sec:authorize="isAuthenticated()"> -->
                <!-- sec:authentication="name" -->
                <!--  sec:authentication="principal.authorities" -->



              </ul>

            </div>
            <div class="quote_btn-container">
              <a th:href="@{/login}">
                <span>
                  sign in
                </span>
                <i class="fa fa-user" aria-hidden="true"></i>
              </a>

            </div>
            <div th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="quote_btn-container">
              <a th:href="@{/logout}">
                <span>
                  log out
                </span>
                <i class="fa fa-user" aria-hidden="true"></i>
              </a>

            </div>
            <div th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="quote_btn-container">
              <a href="Registration">
                <span>
                  Register
                </span>
                <!-- <span>
                    Register
                  </span> -->
                <i class="fa fa-user" aria-hidden="true"></i>
              </a>
            </div>
          </div>
        </nav>
      </div>
    </header>
    <!-- end header section -->
  </div>


  <!-- Side navigation -->

  <!-- <div th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="sidenav ">
    <a href="Registration">
        <span>
          Add a new teacher
        </span>
      
        <i class="fa fa-user" aria-hidden="true"></i>
      </a>
      <a class="nav-link" th:href="@{/AddClassRoomForm}">Add a new classroom</a>
      <a class="nav-link" th:href="@{/addLesson}">Add Lesson</a>    
  </div> -->

  <!-- end of the Side navigation -->




  <!-- slider section -->
  <section class="course_section layout_padding">
    <div class="course_bg_box ">
      <div class="bg_img_box ">
        <img src="images/course-bg.jpg" alt="">
      </div>
    </div>
    <div class="container-fluid pr-0">
      <div class="heading_container">
        <h2>
          Admin page </h2>
        <p>
          This section allows the admin to make the modifications he wants
        </p>
      </div>
      <div class="course_container">
        <div class=" course_owl-carousel owl-carousel owl-theme ">
          <!-- add class box -->
          <div class="item">
            <div class="box">
              <div class="img-box">
                <img src="/images/Classroom_15.11.png" alt="">
              </div>
              <div class="detail-box">


                <h4>
                  New classroom
                </h4>
                <p>
                  Add a new classroom

                </p>
                <a th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" href="AddClassRoomForm">
                  Add a new classroom
                </a>
              </div>
            </div>
          </div>
          <!--  end add new classroom -->
          <!-- add teacher -->
          <div class="item">
            <div class="box">
              <div class="img-box  ">
                <img src="/images/addteacherslider.jpg" alt="">
              </div>
              <div class="detail-box">


                <h4>
                  New teacher
                </h4>
                <p>
                  Add a new teacher

                </p>
                <a th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" href="Registration">
                  Add a new techer
                </a>
              </div>
            </div>
          </div>
          <!-- end add teacher box -->
          <!-- addlesson -->
          <div class="item">
            <div class="box">
              <div class="img-box ">
                <img src="/images/addlessonslider.jpg" alt="">
              </div>
              <div class="detail-box">


                <h4>
                  New lesson
                </h4>
                <p>
                  Add a new lesson

                </p>
                <a href="addLesson">
                  Add a new lesson
                </a>
              </div>
            </div>
          </div>
          <!-- end addlesson -->
        </div>
      </div>
    </div>
  </section>
  <!-- end of the slider section -->




  <!-- list of teachers and classroom btn  -->
  <div class="container ">
    <div class="row ">
      <!-- teachers -->
      <section class="teacher_section layout_padding">
        <div id="apz" class="container">
          <div class="heading_container heading_center">
            <button @click="fetchTeas()" class="btn-box" style="background-color: transparent;
              color: #0e3746;display: inline-block;
              padding: 20px 45px;
              background-color: #0e3746;
              color: #ffffff;
              border-radius: 0;
              border: 1px solid #0e3746;
              -webkit-transition: all .2s;
              transition: all .2s;"><span>
                <h1>Show all teachers list</h1>
              </span></button>
          </div>

          <div class="row">
            <div v-for="tea in teas" class="col-sm-6 col-lg-3" :key="tea.userId">
              <div class="box">
                <div class="img-box">
                  <div class="crop">
                    <img :src="tea.image" alt="">
                  </div>
                </div>
                <div class="detail-box">
                  <h5>
                    {{tea.firstName}}
                  </h5>
                  <div>
                    <td>
                      <a :href="'/profile/'+tea.userId"> VIEW PROFILE</a>
                    </td>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
      </section>
      <!-- end teachers -->

      <!-- classRooms -->

      <section id="apq" class="teacher_section layout_padding">
        <div class="container">
          <div class="heading_container heading_center">

            <button @click="fetchClassRooms()" class="btn-box" style="background-color: transparent;
    color: #0e3746;display: inline-block;
    padding: 20px 45px;
    background-color: #0e3746;
    color: #ffffff;
    border-radius: 0;
    border: 1px solid #0e3746;
    -webkit-transition: all .2s;
    transition: all .2s;"><span>
                <h1>Show all ClassRooms</h1>
              </span></button>
          </div>

          <div class="row">
            <div v-for="cla in classRooms" class="col-sm-6 col-lg-3" :key="cla.classroom_id">
              <div class="box">
                <div class="img-box">
                  <div class="crop">
                    <img :src="cla.classRoomImage" alt="">
                  </div>
                </div>
                <div class="detail-box">
                  <h5>
                    {{cla.classRoomName}}
                  </h5>
                  <div>
                    <td>
                      <a :href="'/classRoom/'+cla.classRoomId"> View the content</a>
                    </td>
                  </div>
                </div>
              </div>
            </div>

          </div>

        </div>
      </section>
      <!-- end classRooms -->

    </div>
  </div>
  <!-- end teachers and classrooms lists -->


  <!-- info section -->
  <section class="info_section ">

    <div class="container">
      <div class="info_top ">
        <div class="row ">
          <div class="col-sm-6 col-md-4 col-lg-3">
            <div class="info_detail">
              <a href="index.html">
                <h4>
                  My class online
                </h4>
              </a>
              <p>
                This plateform was created in February 2022 by khaled Razouk </p>
              <div class="social_box">
                <a href="">
                  <i class="fa fa-facebook" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-twitter" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-linkedin" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-instagram" aria-hidden="true"></i>
                </a>
              </div>
            </div>
          </div>
          <div class="col-sm-6 col-md-4 col-lg-3 mx-auto">
            <h4>
              Contact us
            </h4>
            <p>
              Join our team to teach with us the students who need help </p>
            <div class="contact_nav">
              <a href="">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <span>
                  Location
                </span>
              </a>
              <a href="">
                <i class="fa fa-phone" aria-hidden="true"></i>
                <span>
                  Call : +33 760228099
                </span>
              </a>
              <a href="">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span>
                  Email : khaled_razouk@hotmail.com
                </span>
              </a>
            </div>
          </div>

        </div>
      </div>
    </div>
  </section>



  <!-- footer section -->
  <footer class="footer_section">
    <div class="container">
      <p>
        &copy; <span id="displayYear"></span> All Rights Reserved By Khaled Razouk
      </p>
    </div>
  </footer>
  <!-- jQery -->
  <script src="js/jquery-3.4.1.min.js"></script>
  <!-- bootstrap js -->
  <script src="js/bootstrap.js"></script>
  <!-- owl carousel -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
  <!-- custom js -->
  <script src="js/custom.js"></script>
  <!-- Google Map -->
  <script
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh39n5U-4IoWpsVGUHWdqB6puEkhRLdmI&callback=myMap"></script>
  <!-- End Google Map -->

  <script>
    Vue.createApp({
      data() {
        return {
          //vars from the rest controller
          teas: [],
        }

      },
      methods: {
        //method to show all teachers list
        async fetchTeas() {
          //conect to the api rest controller 
          const reponse = await fetch('/api/displayAllTeas');
          //bring the file JSON with the information
          this.teas = await reponse.json();
        },
      }
    }).mount('#apz')

  </script>

  <script>
    Vue.createApp({
      data() {
        return {
          //vars from the rest controller
          classRooms: [],
        }

      },
      methods: {
        //method to show all teachers list
        async fetchClassRooms() {
          //conect to the api rest controller 
          const reponse = await fetch('/api/displayAllClassrooms');
          //bring the file JSON with the information
          this.classRooms = await reponse.json();
        },
      }
    }).mount('#apq')

  </script>
</body>

</html>